Summary:  Gathers news postings.
Name: suck 
Version: 3.9.4
Release: 1
Copyright: GPL 
Group: Networking/Applications
Url: http://home.att.net/~bobyetman/index.html  
Source: suck-3.9.4.tar.gz 
Source1: sucknewsrc
Source2: get.redhat.newsgroups
Patch0: suck.patch
Buildroot: /var/tmp/suck-root

%description
The primary use for suck is to feed a local NNTP server, without the
remote NNTP feeding you articles.  It is designed for a small, partial
news feed.  It is NOT designed to feed 10,000 groups and 3 Gigs of articles
a day.  

%prep
%setup -q
%patch -p1 -b .orig

%build
./configure --prefix=$RPM_BUILD_ROOT
make

%install
rm -rf $RPM_BUILD_ROOT

make install mandir=$RPM_BUILD_ROOT/usr/man/man1/ bindir=$RPM_BUILD_ROOT/usr/lib/news/suck/bin/

mkdir -p $RPM_BUILD_ROOT/usr/sbin/

ln -s /usr/lib/news/suck/bin/suck  $RPM_BUILD_ROOT/usr/sbin/suck
ln -s /usr/lib/news/suck/bin/lmove $RPM_BUILD_ROOT/usr/sbin/lmove
ln -s /usr/lib/news/suck/bin/rpost $RPM_BUILD_ROOT/usr/sbin/rpost
ln -s /usr/lib/news/suck/bin/testhost $RPM_BUILD_ROOT/usr/sbin/testhost

mkdir -p $RPM_BUILD_ROOT/var/log
touch $RPM_BUILD_ROOT/var/log/suck.errlog
chown root.root $RPM_BUILD_ROOT/var/log/suck.errlog 
chmod 600 $RPM_BUILD_ROOT/var/log/suck.errlog 

mkdir -p $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/

install -m755 -o root -g root $RPM_SOURCE_DIR/get.redhat.newsgroups $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/
install -m644 -o root -g root $RPM_SOURCE_DIR/sucknewsrc $RPM_BUILD_ROOT/usr/lib/news/suck/bin/

install -m755 -o root -g root $RPM_BUILD_DIR/suck-3.9.4/sample/get.news.innxmit $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/ 
install -m755 -o root -g root $RPM_BUILD_DIR/suck-3.9.4/sample/get.news.rnews $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/  
install -m755 -o root -g root $RPM_BUILD_DIR/suck-3.9.4/sample/put.news  $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/  

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG README CONTENTS sample/*.sample
/var/log/suck.errlog
/usr/lib/news/suck/bin/suck
/usr/lib/news/suck/bin/sucknewsrc
/usr/lib/news/suck/bin/lmove
/usr/lib/news/suck/bin/rpost
/usr/lib/news/suck/bin/testhost
/usr/lib/news/suck/bin/scripts/get.news.innxmit
/usr/lib/news/suck/bin/scripts/get.news.rnews
/usr/lib/news/suck/bin/scripts/get.redhat.newsgroups
/usr/lib/news/suck/bin/scripts/put.news
/usr/sbin/suck
/usr/sbin/lmove
/usr/sbin/rpost
/usr/sbin/testhost
/usr/man/man1/lmove.1
/usr/man/man1/suck.1
/usr/man/man1/rpost.1
/usr/man/man1/testhost.1

%changelog
* Fri Oct 16 1998 Michael Maher <mike@redhat.com>
- fixed spec file

* Mon Jul 20 1998 Michael Maher <mike@redhat.com> 
- built package

